## statnews 1.6

=== Makefile ===
# Makefile for StatNews package.
#
# $Id: Makefile,v 1.2 1999/10/05 23:03:46 salve Exp $
#
# Copyright  Davide G. M. Salvetti <salve@debian.org>, 1998.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to: The Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in /usr/doc/copyright/GPL.

prefix = /usr/local/
exec_prefix = $(prefix)

bindir = $(exec_prefix)/bin
mandir = $(prefix)/man

all: man

man: statnews.pl
	pod2man --section 1 --center "Debian GNU/Linux Manual" \
		--release "Debian Project" statnews.pl > statnews.1

install: all
	test -d $(bindir) \
		|| install -o root -g root -m 755 -d $(bindir)
	test -d $(mandir)/man1 \
		|| install -o root -g root -m 755 -d $(mandir)/man1
	install -o root -g root -m 755 statnews.pl $(bindir)/statnews
	install -o root -g root -m 644 statnews.1 $(mandir)/man1/

clean:
	rm -f statnews.1

### Local Variables:
### mode: makefile
### End:

=== debian/changelog ===
statnews (1.6) unstable; urgency=low

  * New upstream version.
  * control: Depends on libmime-perl.
  * rules: Rule to update system.variables added.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Fri,  5 Nov 1999 00:28:12 +0100

statnews (1.5) unstable; urgency=low

  * Added compatibility doc link.
  * postinst: New file.
  * postrm: New file.
  * preinst: New file.
  * prerm: New file.
  * variables: Split generic stuff to system.variables.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Thu, 14 Oct 1999 17:21:08 +0200

statnews (1.4) unstable; urgency=low

  * EPerl handling of Debian files.
  * variables: New file.
  * COPYRIGHT: New file.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Tue, 12 Oct 1999 21:42:37 +0200

statnews (1.3) unstable; urgency=low

  * control: Standards-Version: 3.0.0.
  * rules: Updated accordingly.
  * ../Makefile: Added $(exec_prefix), $(bindir) and $(mandir)

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Wed,  6 Oct 1999 00:41:50 +0200

statnews (1.2) unstable; urgency=low

  * control: s/Depends: perl (>=5.004.04-2)/Depends: perl5/;
  * control: modified description line.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Fri,  2 Jul 1999 15:25:28 +0200

statnews (1.1) unstable; urgency=low

  * New upstream version.
  * First public release.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed,  2 Dec 1998 14:08:24 +0100

statnews (1.0) local; urgency=low

  * Initial version.

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 21 Mar 1998 16:26:40 +0100

Local Variables:
mode: debian-changelog
End:

=== debian/control ===
Source: statnews
Section: news
Priority: optional
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Standards-Version: 3.0.0

Package: statnews
Architecture: all
Depends: perl5, libmime-perl
Description: Extracts some useful statistics out of a newsgroup.
 This program may be useful to analyze newsgroups with respect to
 authors, messages lenght and frequency, and so on.

=== debian/rules ===
#! /usr/bin/make -f
#
# BEWARE: The rules file is AUTOMATICALLY GENERATED from rules.in
#
# rules for the Debian statnews package.
# $Id: rules,v 1.5 1999/11/04 23:25:44 salve Exp $
#
# Copyright  Davide G. M. Salvetti <salve@debian.org>, 1998, 1999.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to: The Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

tmp	:= $(shell pwd)/debian/tmp/

SHELL		:= /bin/bash
INSTDIR		:= install -m 755 -d
INSTPROG	:= install -m 755 -s
INSTDATA	:= install -m 644
INSTSCRIPT	:= install -m 755

DFILES	:=	debian/README debian/copyright \
		debian/preinst debian/postinst debian/prerm debian/postrm

# WARNING: debian/rules SHOULD NOT be in $(DFILES), for Debian policy
# (it's CVS registered), lest it will be deleted by clean.
# Beside, it's automatically remade by make

debian/system.variables: /home/salve/Debian/Packages/system.variables
	$(INSTDATA) $< $@

# Eperl is simply great: thanks, Ralf!
% :: %.in
	eperl -P -o $@ $<

build: $(DFILES) debian/variables
	$(checkdir)
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -rf build core $(tmp) debian/files* debian/substvars
	-rm -f	$(DFILES)
	-$(MAKE) clean

binary: binary-indep binary-arch

binary-arch: checkroot build
	$(checkdir)

binary-indep: checkroot build
	$(checkdir)
	-rm -rf $(tmp)

# install package
	$(MAKE) prefix=$(tmp)//usr/ mandir=$(tmp)//usr/share/man/ install
	gzip -9frv $(tmp)//usr/share/man/

# install Debian doc
	$(INSTDIR) $(tmp)//usr/share/doc/statnews/
	$(INSTDATA) NEWS README TODO $(tmp)//usr/share/doc/statnews/
	$(INSTDATA) debian/README $(tmp)//usr/share/doc/statnews//README.Debian
	$(INSTDATA) ChangeLog $(tmp)//usr/share/doc/statnews/
	$(INSTDATA) debian/changelog $(tmp)//usr/share/doc/statnews//changelog.Debian
	gzip -9frv $(tmp)//usr/share/doc/statnews/
	ln -sf ChangeLog.gz $(tmp)//usr/share/doc/statnews//changelog.gz
	$(INSTDATA) debian/copyright $(tmp)//usr/share/doc/statnews/

# install Debian control files
	$(INSTDIR) $(tmp)//DEBIAN/
	$(INSTSCRIPT) debian/{preinst,postinst,prerm,postrm} $(tmp)//DEBIAN/

# standard stuff
#-#	cd $(tmp) && du -k * | grep -v 'DEBIAN' | sort -k 2 -o $(tmp)//DEBIAN//du
	cd $(tmp) && md5sum \
		$$(find ./ -path './DEBIAN' -prune -o -type f -printf "%P\n") \
		| sort -k 2 -o $(tmp)//DEBIAN//md5sums
	dpkg-gencontrol
	chown -R root.root $(tmp)
	chmod -R go=rX $(tmp)
	dpkg --build $(tmp) ..

checkdir = test -f debian/rules

checkroot:
	$(checkdir)
	test root = "$$(whoami)"

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## statnews 2.1

=== debian/changelog ===
statnews (2.1) unstable; urgency=high

  * rules (build): Removed debian/rules from deps.
  (debian/rules): Removed debian/system.variables from deps.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Wed, 16 May 2001 14:53:37 +0200

statnews (2.0) unstable; urgency=low

  * New upstream version.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Thu, 29 Mar 2001 11:49:25 +0200

statnews (1.9) unstable; urgency=low

  * New upstream version.
  * control (Build-Depends): Added eperl, perl5.
  * control (Description): s/lenght/length/; thanks to Brian Frederick
    Kimball.  (Closes: #82749)
  * rules (debian/rules): added.
  * rules (build): added debian/rules.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Fri,  9 Feb 2001 02:03:19 +0100

statnews (1.8) unstable; urgency=low

  * COPYRIGHT: Updated.
  * control: Standards-Version: 3.2.1.  (Really.)
  * copyright.in: Updated.
  * rules.in: Added -isp to dpkg-gencontrol.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Fri, 12 Jan 2001 12:46:01 +0100

statnews (1.7) unstable; urgency=low

  * New upstream version.  (Closes: #66061, #71215)
  * copyright: Updated.
  * control: Standards-Version: 3.2.1.

 -- Davide G. M. Salvetti <salve@hal.linux.it>  Sat, 21 Oct 2000 18:10:43 +0200

=== debian/control ===
Source: statnews
Section: news
Priority: optional
Build-Depends: eperl, perl5
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Standards-Version: 3.2.1

Package: statnews
Architecture: all
Depends: perl5, libmime-perl
Description: Extracts some useful statistics out of a newsgroup.
 This program may be useful to analyze newsgroups with respect to
 authors, messages length and frequency, and so on.

## statnews 2.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
-# Makefile for StatNews package.
+# Makefile for the StatNews package
+# $Id: Makefile,v 2.0 2001/03/29 09:54:07 salve Exp $
 #
-# $Id: Makefile,v 1.2 1999/10/05 23:03:46 salve Exp $
-#
-# Copyright  Davide G. M. Salvetti <salve@debian.org>, 1998.
+# Copyright (C) 1998, 1999, 2000, 2001 by Davide Giovanni Maria Salvetti.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the

=== debian/changelog ===
statnews (2.3) unstable; urgency=medium

  * COPYRIGHT: Updated.
  * copyright: Updated.
  * control(Standards-Version): Updated to 3.5.10.
  (Depends): Added libmime-base64-perl; thanks to Peter J. Ross.  (Closes: #191021)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 28 Jun 2003 18:39:44 +0200

statnews (2.2) unstable; urgency=low

  * control(Standards-Version): Updated to 3.5.7.
  (Build-Depends): Removed (misplaced).
  (Build-Depends-Indep): Added eperl, perl5.
  * postinst(do_link): Removed.
  * prerm(undo_link): Removed.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 27 Sep 2002 15:47:15 +0200

=== debian/control ===
Source: statnews
Section: news
Priority: optional
Build-Depends-Indep: eperl, perl5
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Standards-Version: 3.5.10

Package: statnews
Architecture: all
Depends: perl5, libmime-perl, libmime-base64-perl
Description: Extracts some useful statistics out of a newsgroup
 This program may be useful to analyze newsgroups with respect to
 authors, messages length and frequency, and so on.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # BEWARE: The rules file is AUTOMATICALLY GENERATED from rules.in
 #
 # rules for the Debian statnews package.
-# $Id: rules,v 1.5 1999/11/04 23:25:44 salve Exp $
+# $Id: rules,v 2.1 2001/05/16 12:55:19 salve Exp $
 #
-# Copyright  Davide G. M. Salvetti <salve@debian.org>, 1998, 1999.
+# Copyright (C) 1998, 1999, 2000, 2001 by Davide Giovanni Maria Salvetti
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the
@@ -42,11 +42,13 @@
 debian/system.variables: /home/salve/Debian/Packages/system.variables
 	$(INSTDATA) $< $@
 
+debian/rules: debian/variables
+
 # Eperl is simply great: thanks, Ralf!
 % :: %.in
 	eperl -P -o $@ $<
 
-build: $(DFILES) debian/variables
+build: $(DFILES)
 	$(checkdir)
 	$(MAKE)
 	touch build
@@ -89,7 +91,7 @@
 	cd $(tmp) && md5sum \
 		$$(find ./ -path './DEBIAN' -prune -o -type f -printf "%P\n") \
 		| sort -k 2 -o $(tmp)//DEBIAN//md5sums
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
 	chmod -R go=rX $(tmp)
 	dpkg --build $(tmp) ..

## statnews 2.4

=== debian/changelog ===
statnews (2.4) unstable; urgency=low

  * control (Description): state more clearly that the program can only be
    used with local spools (of news or lists) and has neither NNTP nor
    HTTP capabilities; thanks to Dan Jacobson.  (Closes: #277380)

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 08 Aug 2007 12:09:48 +0200

=== debian/control ===
Source: statnews
Section: news
Priority: optional
Build-Depends-Indep: eperl, perl5
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Standards-Version: 3.5.10

Package: statnews
Architecture: all
Depends: perl5, libmime-perl, libmime-base64-perl
Description: Extracts useful statistics out of a newsgroup or mailing list
 This program may be useful to analyze newsgroups or mailing lists with
 respect to authors, messages length and frequency, and so on.
 .
 At this moment, it operates on local spools only (it has neither
 NNTP nor HTTP capabilities).

## statnews 2.5

=== debian/changelog ===
statnews (2.5) unstable; urgency=low

  * [463d121] debian/control: Update from libmime-perl to libmime-tools-
    perl; thanks to Salvatore Bonaccorso.  (Closes: #614922)
  * [b671e16] debian/control: Update from perl5 and libmime-base64-perl
    to perl; thanks to Salvatore Bonaccorso.
  * [b488fd5] Clarify docs: the spool has to be one message per file in
    mbox format; thanks to Enrico Zini.  (Closes: #503234)
  * [f28c5fe] Add $(DESTDIR) support to Makefile.
  * [c491b04] Makefile: Update standards.
  * [76cd52b] Switch to dpkg-source 3.0 (native) format.
  * [9b03bb2] Switch to debhelper.
  * [9a8a758] debian/control: Update to Standards-Version 3.5.10.
  * [334b23f] Stop keeping the ChangeLog.
  * [c5bb9c5] Update copyright.

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 25 Dec 2011 03:36:49 +0100

=== debian/control ===
Source: statnews
Section: news
Priority: optional
Build-Depends-Indep: debhelper (>= 8), eperl, perl
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Standards-Version: 3.9.2

Package: statnews
Architecture: all
Depends: perl, libmime-tools-perl, ${misc:Depends}
Description: Extracts useful statistics out of a newsgroup or mailing list
 This program may be useful to analyze newsgroups or mailing lists with
 respect to authors, messages length and frequency, and so on.
 .
 At this moment, it operates on local spools only (it has neither NNTP nor
 HTTP capabilities); the spool has to store one message per file in
 traditional mbox format.

=== debian/rules ===
#! /usr/bin/make -f
#
# rules for the Debian  package.
#
# Copyright (C) 1998, 99, 2000, 01, 02, 03, 11 Davide Giovanni Maria Salvetti
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

EPERL_SRC := $(wildcard debian/*.eperl)
EPERL_OBJ := $(EPERL_SRC:%.eperl=%)

.PHONY: eperl
eperl: $(EPERL_OBJ)
	echo $(filter-out debian/copyright debian/rules, $(EPERL_OBJ)) \
		debian/clean > debian/clean

%:: %.eperl
	eperl -P -o $@ $<

.PHONY: build
build: eperl
	dh $@

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- prefix=/usr

.PHONY: snapshot
snapshot:
	git-dch --snapshot --auto --ignore-branch
	git-buildpackage --git-ignore-new -rfakeroot -tc -i -us -uc

.PHONY: release
release:
	git-dch --release
	git add debian/changelog
	git commit
	git-buildpackage -rfakeroot -tc -i
	V=$$(dpkg-parsechangelog|egrep '^Version: '|cut -d ' ' -f 2); \
	git tag -s -m "Debian release $${V}" debian/$${V}

## statnews 2.6

=== Makefile ===
# Makefile for the StatNews package
#
# Copyright (C) 1998, 99, 2000, 01, 11 Davide Giovanni Maria Salvetti.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

VER = $(shell git tag -l | tail -n 1 | cut -d '/' -f 2)

INSTALL = install -o root -g root
INSTALL_SCRIPT = $(INSTALL)
INSTALL_DATA   = $(INSTALL) -m 644
INSTALL_DIR    = $(INSTALL) -d

prefix      = /usr/local/
exec_prefix = $(prefix)
datarootdir = $(prefix)/share
bindir      = $(exec_prefix)/bin
mandir      = $(datarootdir)/man
man1dir     = $(datarootdir)/man/man1
docdir      = $(datarootdir)/doc/statnews

.PHONY: all
all: build

.PHONY: build
build: statnews.1

statnews.1: statnews.pl
	pod2man --section 1 --center "Debian GNU/Linux Manual" \
		--release "Debian Project" $< > $@

.PHONY: installdirs
installdirs:
	test -d $(DESTDIR)$(bindir) \
		|| $(INSTALL_DIR) $(DESTDIR)$(bindir)
	test -d $(DESTDIR)$(man1dir) \
		|| $(INSTALL_DIR) $(DESTDIR)$(man1dir)
	test -d $(DESTDIR)$(docdir) \
		|| $(INSTALL_DIR) $(DESTDIR)$(docdir)

.PHONY: install
install: all installdirs
	$(INSTALL_SCRIPT) statnews.pl $(DESTDIR)$(bindir)/statnews
	$(INSTALL_DATA) statnews.1 $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) NEWS $(DESTDIR)$(docdir)
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)
	$(INSTALL_DATA) TODO $(DESTDIR)$(docdir)

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)$(docdir)/TODO
	rm -f $(DESTDIR)$(docdir)/README
	rm -f $(DESTDIR)$(docdir)/NEWS
	rm -f $(DESTDIR)$(man1dir)/statnews.1
	rm -f $(DESTDIR)$(bindir)/statnews

.PHONY: clean distclean mostlyclean maintainer-clean
clean distclean mostlyclean maintainer-clean:
	rm -f statnews.1

.PHONY: dist
dist:
	git archive --format=tar --prefix=statnews-$(VER)/ HEAD \
		| gzip --best > ../statnews-$(VER).tar.gz

.PHONY: check
check: build
	test -f statnews.1

# local variables:
# mode: makefile
# ispell-local-dictionary: "american"
# ispell-check-comments: exclusive
# end:

=== debian/changelog ===
statnews (2.6) unstable; urgency=medium

  * [9704cef] Switch to debhelper compatibility level 9
  * [116501f] Upgrade Standards-Version to 3.9.8
  * [0984efd] debian/README.Debian: Do not include timestamps.
    Thanks to Chris Lamb (Closes: #775993)
  * [5518cca] debian/control (Homepage): New field
  * [a277a18] debian/rules (upload): New target
  * [a74067a] debian/rules (snapshot, release): Use sbuild

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 15 Jan 2017 22:32:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: statnews
 Section: news
 Priority: optional
-Build-Depends-Indep: debhelper (>= 8), eperl, perl
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
+Build-Depends-Indep: debhelper (>= 9), eperl, perl
+Homepage: https://savannah.nongnu.org/projects/statnews
 
 Package: statnews
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
#
# makefile rules for the Debian statnews package.
#
# Copyright (C) 1998-2017 Davide Giovanni Maria Salvetti
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# On Debian GNU/Linux System you can find a copy of the GNU General Public
# License in "/usr/share/common-licenses/GPL".

SHELL := /bin/bash
SBUILD := sbuild --verbose

EPERL_SRC := $(wildcard debian/*.eperl)
EPERL_OBJ := $(EPERL_SRC:%.eperl=%)

debian/clean: $(EPERL_OBJ)
	echo $(filter-out debian/copyright debian/rules, $(EPERL_OBJ)) \
		debian/clean > debian/clean

%:: %.eperl
	eperl -P -o $@ $<

.PHONY: build
build: debian/clean
	dh $@

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- prefix=/usr

.PHONY: snapshot
snapshot: OBJ := --arch-all
snapshot: DIST := unstable
snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
snapshot: clean
	gbp dch --debian-branch=$(BRANCH) --snapshot --auto --commit
	gbp buildpackage --keyid='' \
		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
		--git-debian-branch=$(BRANCH)

.PHONY: release
release: OBJ := --arch-all --arch-any --source --source-only-changes
release: DIST := unstable
release: clean
	git checkout master
	gbp dch --release --commit
	gbp buildpackage \
		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
		--git-tag

.PHONY: upload
upload: V := $(shell dpkg-parsechangelog --show-field Version)
upload:
	dput ../statnews_$(V)_source.changes

## statnews 2.6build1

=== debian/changelog ===
statnews (2.6build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:41:20 +0000

## statnews 2.6+nmu1

=== debian/changelog ===
statnews (2.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089441)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 14:44:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: news
 Priority: optional
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
+Rules-Requires-Root: no
 Standards-Version: 3.9.8
 Build-Depends-Indep: debhelper (>= 9), eperl, perl
 Homepage: https://savannah.nongnu.org/projects/statnews

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
-	dh_auto_install -- prefix=/usr
+	dh_auto_install -- prefix=/usr INSTALL=install
 
 .PHONY: snapshot
 snapshot: OBJ := --arch-all

## statnews 2.6+nmu1build1

=== debian/changelog ===
statnews (2.6+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 21:59:03 +0100
